<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCompanyFavorGain](./bitburner.singularity.getcompanyfavorgain.md)

## Singularity.getCompanyFavorGain() method

Get company favor gain.

**Signature:**

```typescript
getCompanyFavorGain(companyName: CompanyName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

companyName


</td><td>

[CompanyName](./bitburner.companyname.md)


</td><td>

Name of the company.


</td></tr>
</tbody></table>

**Returns:**

number

Amount of favor you gain at the specified company when you reset by installing Augmentations.

## Remarks

RAM cost: 0.75 GB \* 16/4/1

This function will return the amount of favor you will gain for the specified company when you reset by installing Augmentations.

